// http://www.phidels.com
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs;

Const
  WM_THEMECHANGED = $031A;

type
  TForm1 = class(TForm)
  private
    //Principe : lors d'un changement de style, le message WM_THEMECHANGED
    // est envoy par Windows. Cela dclenchera notre procdure StyleChanged
    // Pour mieux comprendre, voir le tutorial sur les messages
    // sur http://www.phidels.com
    procedure StyleChanged( var msg:TMessage); message WM_THEMECHANGED;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.StyleChanged( var msg:TMessage);
// Se dclenche lorsque le style de l'affichage (par exemple stype XP)
// est modifi.
begin
  ShowMessage('Style chang');
  inherited;// si on veut continuer  propager le message
end;


end.
